//***************************************************************************************//
//                              Configuration                                						//
//																																											//
//  [I/O PORT]              [Type]               [Description]            							//
//  Port A	  		          moteur                 moteur droit             						//
//  Port C	  		          moteur                 moteur gauche              					//
//  diametre roue (diam_roue) : 57 mm 																  	//
//  entraxe (entraxe) : 117 mm																													//
//  calcul liant l'angle de la roue (cod_roue)a l'angle de rotation du robot (ang_rob)	//
//  cod_roue = (entraxe / diam_roue) * ang_rob
//                                                                              				//
//**************************************************************************************//

#define diam_roue 57
#define entraxe 117
#define ang_rob 90
#define vit 20

task main()
{
	nMotorEncoder[motorA] = 0;      //capteur de rotation du moteur A remis  0
  nMotorEncoder[motorC] = 0;      //capteur de rotation du moteur C remis  0
  nSyncedMotors = synchAC;				//synchronisation sur le moteur A qui est maitre (C est esclave)
  nSyncedTurnRatio = -100 ;				// -100 => marche inversee de la roue C en fonction de A

	float cod_roue = (float)entraxe /(float)diam_roue * (float)ang_rob;
	nMotorEncoderTarget[motorA] = cod_roue; 		// marche avant a vitesse definie tant que la valeur
																							// du codeur cod_roue n'est pas atteinte
	motor[motorA] = vit;				// attention a bien placer la commande motor apres nMotorEncoderTarget

}
