//********************************************************************************************//
//                              Configuration                                									//
//																																														//
//  [I/O PORT]              [Type]               [Description]            										//
//  Port A	  		          moteur                 moteur droit             									//
//  Port C	  		          moteur                 moteur gauche              								//
//  diametre roue (diam_roue) : 57 mm 																  											//
//  entraxe (entraxe) : 117 mm																																//
//  calcul liant l'angle de la roue (cod_roue)a l'angle de rotation du robot (ang_rob)			  //
//  cod_roue = (entraxe / diam_roue) * ang_rob
//                                                                              							//
//********************************************************************************************//

#define diam_roue 57
#define entraxe 117
#define ang_rob 90

task main()
{
	nMotorEncoder[motorA] = 0;                    //capteur de rotation du moteur A remis  0
  nMotorEncoder[motorC] = 0;                    //capteur de rotation du moteur C remis  0

  float cod_roue = entraxe / diam_roue * ang_rob;	// calcul de la valeur de codage cod-roue
  																								//atteindre pour l'angle de rotation desire

  //les moteurs vont etre alimentes tant que la valeur de codage cod_roue n'est pas atteinte
  while(nMotorEncoder[motorA] < cod_roue || nMotorEncoder[motorC] > cod_roue)
 {
      motor[motorA] = 30;                       //motor A tourne a 30%
      motor[motorC] = -30;                      //motor B tourne a -30%
   }
}
